JASMIN-SABLE(1)

NAME
jasmin - Java assembler compiler

SYNOPSIS
jasmin jasmin [-d <directory>] [-version] <file> [<file> ...]

DESCRIPTION
jasmin is a Java ASseMbler INterface. It takes ASCII descriptions of Java classes, written in the Java Virtual Machine instruction set in an assembler-like syntax.

Jasmin converts these input files into binary Java class files (.class) suitable for executing on an Java Virtual Machine.

OPTIONS

-d <directory>
    Destination directory where the resulting files are to be placed.

-version
    Show version of program.

<file> ...
    Source .j (Jasmin Java assembler format) file(s) to be compiled.

SEE ALSO
The /usr/share/doc/jasmin-sable/examples directory should contain some example assembly files.

AUTHOR
This manual page was written by Grzegorz Prokopski (Debian Developer) <gadek@debian.org> and Chris Lamb <chris@chris-lamb.co.uk> for the Debian project (but may be used by others). It is available under the GNU Lesser General Public License.